#include <stdio.h>
#include <stdlib.h>
#include "list.h"
#include "list_int.h"

int
compare(void *data1, void *data2)
{
  return ((int)data1 - (int)data2);
}


int main()
{
  int num, x, i;
  list_item *item;
  list_t *list = list_create();

  scanf("%d", &num);
  for (i=0; i<num; i++) {
    scanf("%d", &x);
    list_append(list, (void *)x);
  }

  item = list->head;
  while (item) {
    printf("%d ", (int)item->data);
    item = item->next;
  }
  printf("\n");

  list_sort(list, compare);

  item = list->head;
  while (item) {
    printf("%d ", (int)item->data);
    item = item->next;
  }
  printf("\n");

  list_freeitems(list);
  list_free(list);
  return 0;
}

  
