#ifndef RETIMING_H
#define RETIMING_H

#define PRECISION 0.1

#include "mcrp_int.h"
#include "list_int.h"
#include "dfs.h"

extern unsigned int retiming_compute(unsigned int numnode, graph_t *E, graph_t *hE, float lamda, edge_t **Adj, edge_t **revAdj, float *fd, float *bd, int maxFF, int mode, int *r);
extern void delete_extra_edge(graph_t *E, graph_t *hE, unsigned int numnode);
extern unsigned int check_reducing_loop(unsigned int numnode, unsigned int u, unsigned int *pi);
extern void reset_pi(unsigned int u, edge_t **Adj, edge_t **revAdj, unsigned int *pi);

#endif
