#ifndef MCRP_H
#define MCRP_H

#define P_INFINITY 10000
#define EPSI 0.01

#include "graph.h"
#include "graph_int.h"

typedef struct info info_t;

extern void mcrp_restore(graph_t *E, float *wbak);
extern void mcrp_reverse_bfs(graph_t *E, edge_t *edge, unsigned int update[], edge_t *pi[], float lamda, float d[]);
extern void mcrp_compute(unsigned int numnode, graph_t *E, float *lamda, unsigned int maxormin);

#endif
